FreeMat

- Main Page
- Related Pages

vtkLightCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkLightCollection represents and provides methods to manipulate a list of lights (i.e., vtkLight and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkLightCollection, simply invoke its constructor as follows

      obj = vtkLightCollection

# Methods

The class vtkLightCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLightCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkLightCollection = obj.NewInstance ()`
- `vtkLightCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkLight a)` - Add a light to the list.
- `vtkLight = obj.GetNextItem ()` - Get the next light in the list. NULL is returned when the collection is exhausted.